iCalendlyDeveloper Docs
Bookings

POSTReassign a booking to auto-selected host

Reassigns a booking to an auto-selected host.

POST/v2/bookings/{bookingUid}/reassign

Path Parameters

bookingUidRequiredstring

Header Parameters

ical-api-versionRequiredstring

Must be set to 2024-08-13. If not set to this value, the endpoint will default to an older version.

Default: "2024-08-13"
AuthorizationRequiredstring

value must be Bearer <token> where <token> is api key prefixed with cal_ or managed user access token

curl -X POST "https://example.com/v2/bookings/<string>/reassign" \
  -H "ical-api-version: 2024-08-13" \
  -H "Authorization: <string>"

{
  "status": "success",
  "data": {
    "bookingUid": "booking_uid_123",
    "reassignedTo": {
      "id": 123,
      "name": "John Doe",
      "email": "john.doe@example.com",
      "displayEmail": "john.doe@example.com"
    }
  }
}